%define	name	nhp-utils
%define	version	0.3.1
%define	release	0pe2

Summary:	nhp is Network Holiday Protocol, which gives holiday data on network.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL2
Group:		System Environment/Daemons
URL:		http://nhp.karing.jp/%{name}-%{version}.tar.gz
Vendor:		nhp_proposer <nhp@rita.karing.jp>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:       bash > 4.0

%description
nhp is Network Holiday Protocol, which gives holiday data on network.

%prep
%setup

%install

mkdir -p $RPM_BUILD_ROOT/etc/nhp
mkdir -p $RPM_BUILD_ROOT/var/www/html
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d

cp -a var/www/html/* $RPM_BUILD_ROOT/var/www/html
cp etc/nhp/nhp.conf $RPM_BUILD_ROOT/etc/nhp/
cp etc/logrotate.d/nhp $RPM_BUILD_ROOT/etc/logrotate.d/

%post
if [ "`id -u www-data 2>/dev/null`" ];then
    http_gid=www-data
    grep ^" "*http_gid=www-data /etc/nhp.conf >>/dev/null ;gv=$? 
    if [ $gv != 0 ];then
	echo http_gid=www-data >>/etc/nhp.conf
    fi
else
    http_gid=apache
fi
touch /var/log/nhp.log
chmod 660 /var/log/nhp.log
chown root.$http_gid /var/log/nhp.log
chmod 775 /etc/nhp/
chown root.$http_gid /etc/nhp/

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README COPYING
%config(noreplace) /etc/nhp/nhp.conf
/etc/logrotate.d/nhp
/var/www/html/*

%changelog
* Thr Aug 12 2021 nhp_proposer<nhp@rita.karing.jp>
- 0.3.1-0pe1, http_get was revised.

* Fri May 24 2019 nhp_proposer<nhp@rita.karing.jp>
- 0.3.0-0pe2, security problems was revised.

* Fri Mar 9 2018 nhp_proposer<nhp@rita.karing.jp>
- 0.2.18-2pe2, log rotation was revised.

* Sat Jan 27 2018 nhp_proposer<nhp@rita.karing.jp>
- 0.2.18-1pe6, db date blank error was fixed.

* Fri Dec 15 2017 nhp_proposer<nhp@rita.karing.jp>
- 0.2.18-0pe3 is for official release.

* Sun May 1 2016 nhp_proposer<nhp@rita.karing.jp>
- 0.2.16-0pe1 is first package.


